diff --git a/Changelog b/Changelog
index c695bd54..4c348894 100644
--- a/Changelog
+++ b/Changelog
@@ -2,6 +2,11 @@
 Nagios Core 4 Change Log
 ########################
 
+4.4.3 - 2018-XX-XX
+------------------
+FIXES
+* Fixed services sending recovery emails when they recover if host in down state (#572) (Scott Wilkerson)
+
 4.4.2 - 2018-08-16
 ------------------
 FIXES
diff --git a/base/notifications.c b/base/notifications.c
index d4574c41..58ad140f 100644
--- a/base/notifications.c
+++ b/base/notifications.c
@@ -591,10 +591,6 @@ int check_service_notification_viability(service *svc, int type, int options) {
 		return ERROR;
 		}
 
-	/***** RECOVERY NOTIFICATIONS ARE GOOD TO GO AT THIS POINT *****/
-	if(svc->current_state == STATE_OK)
-		return OK;
-
 	/* don't notify contacts about this service problem again if the notification interval is set to 0 */
 	if(svc->no_more_notifications == TRUE) {
 		log_debug_info(DEBUGL_NOTIFICATIONS, 1, "We shouldn't re-notify contacts about this service problem.\n");
@@ -1501,10 +1497,6 @@ int check_host_notification_viability(host *hst, int type, int options) {
 		return ERROR;
 		}
 
-	/***** RECOVERY NOTIFICATIONS ARE GOOD TO GO AT THIS POINT *****/
-	if(hst->current_state == HOST_UP)
-		return OK;
-
 	/* check if we shouldn't renotify contacts about the host problem */
 	if(hst->no_more_notifications == TRUE) {
 		log_debug_info(DEBUGL_NOTIFICATIONS, 1, "We shouldn't re-notify contacts about this host problem.\n");
